RDKit::CIPLabeler::CIPMol Class Reference

`#include <CIPMol.h>`

## Public Member Functions

| CIPMol ()=delete
| CIPMol (ROMol &mol)
boost::rational< int > | getFractionalAtomicNum (Atom *atom) const
unsigned | getNumAtoms () const
unsigned | getNumBonds () const
Atom * | getAtom (int idx) const
CXXAtomIterator< MolGraph, Atom * > | atoms () const
Bond * | getBond (int idx) const
CIPMolSpan< Bond *, ROMol::OEDGE_ITER > | getBonds (Atom *atom) const
CIPMolSpan< Atom *, ROMol::ADJ_ITER > | getNeighbors (Atom *atom) const
bool | isInRing (Bond *bond) const
int | getBondOrder (Bond *bond) const

## Detailed Description

Definition at line 66 of file CIPMol.h.

## Constructor & Destructor Documentation

## CIPMol() [1/2]

RDKit::CIPLabeler::CIPMol::CIPMol | ( |  | ) |

delete

## CIPMol() [2/2]

RDKit::CIPLabeler::CIPMol::CIPMol | ( | ROMol & | mol | ) |

explicit

## Member Function Documentation

## atoms()

CXXAtomIterator<MolGraph, Atom *> RDKit::CIPLabeler::CIPMol::atoms | ( |  | ) | const

## getAtom()

Atom* RDKit::CIPLabeler::CIPMol::getAtom | ( | int | idx | ) | const

## getBond()

Bond* RDKit::CIPLabeler::CIPMol::getBond | ( | int | idx | ) | const

## getBondOrder()

int RDKit::CIPLabeler::CIPMol::getBondOrder | ( | Bond * | bond | ) | const

## getBonds()

CIPMolSpan<Bond *, ROMol::OEDGE_ITER> RDKit::CIPLabeler::CIPMol::getBonds | ( | Atom * | atom | ) | const

## getFractionalAtomicNum()

boost::rational<int> RDKit::CIPLabeler::CIPMol::getFractionalAtomicNum | ( | Atom * | atom | ) | const

## getNeighbors()

CIPMolSpan<Atom *, ROMol::ADJ_ITER> RDKit::CIPLabeler::CIPMol::getNeighbors | ( | Atom * | atom | ) | const

## getNumAtoms()

unsigned RDKit::CIPLabeler::CIPMol::getNumAtoms | ( |  | ) | const

## getNumBonds()

unsigned RDKit::CIPLabeler::CIPMol::getNumBonds | ( |  | ) | const

## isInRing()

bool RDKit::CIPLabeler::CIPMol::isInRing | ( | Bond * | bond | ) | const

The documentation for this class was generated from the following file:

- CIPMol.h